Description

History

#1 - 2013-03-05 20:09 - Matthew Jones

- Due date set to 2013-03-05

- Start date set to 2013-03-05

- Target version set to DataONE R Client 1.1.0

#2 - 2013-03-05 20:16 - Matthew Jones

The current search results in R are passed back to the user as raw XML.  This may be useful for some users, but for many this will be a major

impediment.  Modify the search function to parse the results and create a data structure in R containing the search results.  For example, maybe

return a data frame indexed by identifier with one column for the identifier and for each of the returned fields in the resultset.  Alternatively, one could

return a vector containing, for each hit, a list containing the identifier and a hash of the returned fields for that identifier.

#3 - 2013-03-06 18:34 - Rob Nahf

- Due date changed from 2013-03-05 to 2013-03-06

- Assignee set to Rob Nahf

There is a simple mechanism to convert a solr query result to a native R data structure using the rjson package.

fromJSON(d1SolrQuery(client, list(q="foo",wt="json"))

we can either document this technique, or perhaps parameterize existing method (promoting the wt solr parameter to a method parameter). 

#4 - 2014-09-10 20:35 - Matthew Jones

- Status changed from New to Closed

- Due date changed from 2013-03-06 to 2014-09-10

Moved issue to github: https://github.com/DataONEorg/rdataone/issues/33
